#include ti86ops.inc
#include ti86math.inc
#include "ti86asm.inc"
_asap_ind                 equ         0D623h
_exec_pg3                        equ            5714h
_ioPrompt 		equ 	$c324
.org _asm_exec_ram
input:
	call  _clrLCD
	ld hl,$0000
	ld (_curCol),hl
	ld (_curRow),hl
	ld hl,i
	ld de,$c324
	ld bc,4;include ending 0
	ldir
	ld      a,0Dh
	ld      (_asap_ind),a
	call    _exec_pg3
	call _OP2SET4
	call _FPDIV
	call _FRAC
itest:
	call _OP2SET0
	call $41FB         ;compare OP1 and OP2
	jr z,first
nexttest:
	ld hl,FPNum25
	call _MOV10TOOP2
	call $41FB
	jr z,second
nexttest2:
	ld hl,FPNum50
	call _MOV10TOOP2
	call $41FB
	jr z,third
nexttest3:
	ld hl,FPNum75
	call _MOV10TOOP2
	call $41FB
	jr z,fourth
	jr nz,input
third:
	call _clrLCD
	ld hl,istring3
	call _puts
	ret
fourth:
	call _clrLCD
	ld hl,istring4
	call _puts
	ret
second:
	call _clrLCD
	ld hl,istring2
	call _puts
	ret
first:
	call _clrLCD
	ld hl,istring1
	call _puts
	ret
i:
	.db "i^?",0
istring1:
	.db "i^4=1",0
istring2:
	.db "i^1=i",0
istring3:
	.db "i^2=-1",0
istring4:
	.db "i^3=-i",0
FPNum25:
	.db $00, $FF, $FB, $25, $00, $00, $00, $00, $00, $00
FPNum50:
	.db $00, $FF, $FB, $50, $00, $00, $00, $00, $00, $00
FPNum75:
	.db $00, $FF, $FB, $75, $00, $00, $00, $00, $00, $00
.end
